Skip to main content
`Ctrl`+`K`

# PetscDTSimplexQuadrature

Create a quadrature rule for a simplex that exactly integrates polynomials up to a given degree.

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscDTSimplexQuadrature(PetscInt dim, PetscInt degree, PetscDTSimplexQuadratureType type, PetscQuadrature *quad)

Not Collective

## Input Parameters

- dim - The spatial dimension of the simplex (1 = segment, 2 = triangle, 3 = tetrahedron)

- degree - The largest polynomial degree that is required to be integrated exactly

- type - `PetscDTSimplexQuadratureType` indicating the type of quadrature rule

## Output Parameter

- quad - A `PetscQuadrature` object for integration over the biunit simplex (defined by the bounds \(x_i >= -1\) and \(\sum_i x_i <= 2 - d\)) that is exact for polynomials up to the given degree

## See Also

`PetscDTSimplexQuadratureType`, `PetscDTGaussQuadrature()`, `PetscDTStroudCononicalQuadrature()`, `PetscQuadrature`

## Level

intermediate

## Location

src/dm/dt/interface/dt.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages